> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fieldnode.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Offer

> Get offer by id.



## OpenAPI

````yaml /api/openapi.json get /v1/offers/{id}
openapi: 3.1.0
info:
  title: Fieldnode API
  version: v1
  contact:
    name: Support
    url: https://fieldnode.com
    email: support@fieldnode.com
servers:
  - url: https://api.lab.fieldnode.dev
    description: Lab
    variables: {}
  - url: https://api.sandbox.fieldnode.dev
    description: Sandbox
    variables: {}
  - url: https://api.fieldnode.app
    description: Production
    variables: {}
security:
  - BearerAuth: []
tags:
  - name: Process
  - name: Standard
  - name: Material
  - name: Org
  - name: Upload
  - name: Part
  - name: Factory
  - name: Category
  - name: Criticality
  - name: Rfq
  - name: Offer
paths:
  /v1/offers/{id}:
    get:
      tags:
        - Offer
      summary: Get Offer
      description: Get offer by id.
      operationId: getOffer
      parameters:
        - name: id
          in: path
          required: true
          description: Offer id.
          schema:
            type: string
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Offer'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Offer:
      type: object
      required:
        - id
        - consumerId
        - manufacturerId
        - factoryId
        - partId
      properties:
        id:
          type: string
          description: Offer id.
        title:
          type: string
          description: Offer title.
        description:
          type: string
          description: Offer description.
        consumerId:
          type: string
          description: Consumer organization id.
        manufacturerId:
          type: string
          description: Manufacturer organization id.
        factoryId:
          type: string
          description: Factory id.
        partId:
          type: string
          description: Part id this offer is for.
        rfqId:
          type: string
          description: Rfq id this offer responds to.
        currency:
          $ref: '#/components/schemas/Currency'
          description: Currency of the offer.
        itemsInUnit:
          type: integer
          format: int32
          description: Number of items per unit.
        priceMatrix:
          type: array
          items:
            $ref: '#/components/schemas/PriceEntry'
          description: Tiered price matrix.
        shippingPrice:
          type: number
          format: double
          description: Shipping price.
        frameworkNumber:
          type: string
          description: Framework agreement number.
    Error:
      type: object
      required:
        - status
        - message
      properties:
        status:
          type: integer
        message:
          type: string
    Currency:
      type: string
      enum:
        - NOK
        - EUR
        - USD
        - JPY
        - SGD
    PriceEntry:
      type: object
      required:
        - unitFrom
        - unitTo
        - pricePerUnit
        - leadTimeDays
      properties:
        unitFrom:
          type: integer
          format: int32
          description: Lower bound of the unit range (inclusive).
        unitTo:
          type: integer
          format: int32
          description: Upper bound of the unit range (inclusive).
        pricePerUnit:
          type: number
          format: double
          description: Price per unit.
        leadTimeDays:
          type: integer
          format: int32
          description: Lead time in days.
        orderFee:
          type: number
          format: double
          description: Order fee.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Token

````